package com.chinaitop.depot;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import com.github.pagehelper.autoconfigure.PageHelperAutoConfiguration;

@EnableEurekaClient
@EnableDiscoveryClient
@EnableTransactionManagement
@SpringBootApplication(exclude = PageHelperAutoConfiguration.class)//配置mybatis的配置文件使用，否则报多个分页插件
@MapperScan(basePackages = {"com.chinaitop.depot.system.mapper"})
public class DepotSystemApplication {

	public static void main(String[] args) {
		SpringApplication.run(DepotSystemApplication.class, args);
	}
}
