package com.chinaitop.depot.system.controller;

import java.util.HashMap;
import java.util.Map;

import javax.annotation.Resource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.system.service.SystemOutsideDataService;
import com.chinaitop.depot.system.service.DataDockingService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping(value = "/DataController")
@Api(value= "DataController", description = "系统管理功能数据对接控制类")
public class DataController {
	
	final static Logger logger = LoggerFactory.getLogger(DataController.class);

    @Resource
    private DataDockingService dataDockingService;
    
    @Resource
	private SystemOutsideDataService systemOutsideDataService;

    @RequestMapping(value = "/orgInfoEdit", produces = MediaType.APPLICATION_JSON_VALUE, method = RequestMethod.POST)
    @ApiOperation(value="接收市平台传过来的组织机构基础数据")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "datas", value = "数据串", paramType = "form")
    })
    public Map<String, String> orgInfoEdit(String datas) {
    	Map<String, String> resultMap = new HashMap<>();
    	logger.info("接收到市平台传来的组织机构数据串是：\r\n"+datas);

    	try {
			resultMap = dataDockingService.saveOrUpdateSptOrgInfoData(datas);
			systemOutsideDataService.addlogger("zzjg", datas, resultMap.toString());
		} catch (Exception e) {
			resultMap.put("status", "error");
			resultMap.put("msg", "数据存储异常，请联系管理员");
			logger.error(e.getMessage(), e);
			systemOutsideDataService.addlogger("zzjg", datas, resultMap.toString());
		}
    	logger.info("接收到市平台传来的组织机构数据串返回结果时是：\r\n"+resultMap);
		return resultMap;
    }

}
