package com.chinaitop.depot.system.controller;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.system.service.SysCodeService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

@RequestMapping(value="/system/syscode")
@RestController
@Api(description = "系统配置表控制类")
public class SysCodeController {

	@Resource
	private SysCodeService sysCodeService;

	@RequestMapping(value="/getPadUrl", method = RequestMethod.POST)
	@ApiOperation(value="获取一条基础配置数据的val", notes = "")
	@ApiImplicitParams({
			@ApiImplicitParam(name = "orgId", value = "组织机构ID", paramType = "form"),
			@ApiImplicitParam(name = "code", value = "配置数据的标志符", paramType = "form")
	})
	public String getPadUrl(Integer orgId, String code) {
		String path = "";
		try {
			path = sysCodeService.getSVal(orgId, code);
		} catch (Exception e) {
			path = "系统异常,请联系管理员";
		}
		return path;
	}
}
