package com.chinaitop.depot.system.controller;

import java.util.HashMap;
import java.util.List;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.system.model.UserOperationlog;
import com.chinaitop.depot.system.service.UserOperationlogService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

/**
 * 系统日志控制类
 * @author hf
 *
 */
@RestController
@RequestMapping(value="/systemLog")
@Api(description = "系统日志控制类")
public class SystemLogController {
	
	@Resource
	private UserOperationlogService userOperationlogService;

	/**
	 * 查找日志信息
	 * @param pageNum	页码
	 * @param pageSize	每页条数
	 * @return
	 */
	@RequestMapping(value="/getSystemLog", method = RequestMethod.GET)
	@ApiOperation(value="查询日志信息", notes = "查询日志信息列表，支持分页")
	@ApiImplicitParams({
			@ApiImplicitParam(name = "pageNum", value = "页码", paramType = "query"),
			@ApiImplicitParam(name = "pageSize", value = "每页条数", paramType = "query"),
			@ApiImplicitParam(name = "username", value = "真实姓名", paramType = "query")
	})
	public PageInfo<UserOperationlog> getSystemLog(HttpServletRequest request, Integer pageNum, 
			Integer pageSize, String username) {
		
		if (pageNum!=null && pageSize!=null) {
			PageHelper.startPage(pageNum, pageSize);
		}
		
		HashMap<Object, Object> map = new HashMap<Object, Object>();
		map.put("username", username);
		List<UserOperationlog> listAll=userOperationlogService.queryAll(map);
		PageInfo<UserOperationlog> pageInfo = new PageInfo<UserOperationlog>(listAll);
		return pageInfo;
	}

}
