package com.chinaitop.depot.system.controller;

import com.chinaitop.depot.system.model.UserOrg;
import com.chinaitop.depot.system.service.UserOrgService;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 用户机构权限控制类
 * @author hf
 *
 */
@RestController
@RequestMapping(value="/userOrg")
public class UserOrgController {
	
	@Resource
	private UserOrgService userOrgService;
	
	/**
	 * 根据用户编号获取列表数据
	 * @param userId	用户编号
	 * @return List<UserOrg>	用户机构列表
	 */
	@RequestMapping(value="/getByUserId")
	public List<UserOrg> getByUserId(Integer userId) {
		return userOrgService.queryByUserId(userId);
	}

	/**
	 * 保存用户机构权限
	 * @param userId	用户编号
	 * @param departIds	部门编号，多个之间用逗号隔开
	 * @param orgId	          机构编号
	 * @return
	 */
	@RequestMapping(value="/save")
	public Map<String, Object> save(Integer userId, String departIds, Integer orgId) {
		String[] orgIdList = departIds.split(",");
		userOrgService.save(userId, orgIdList, orgId);
		return new HashMap<String, Object>();
	}

}
