package com.chinaitop.depot.system.mapper;

import com.chinaitop.depot.system.model.UserInfo;
import com.chinaitop.depot.system.model.UserInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface UserInfoMapper {
    int countByExample(UserInfoExample example);

    int deleteByExample(UserInfoExample example);

    int deleteByPrimaryKey(Integer userId);

    int insert(UserInfo record);

    int insertSelective(UserInfo record);

    List<UserInfo> selectByExample(UserInfoExample example);
    
    List<UserInfo> selectByExampleNoDatePermission(UserInfoExample example);

    UserInfo selectByPrimaryKey(Integer userId);

    int updateByExampleSelective(@Param("record") UserInfo record, @Param("example") UserInfoExample example);

    int updateByExample(@Param("record") UserInfo record, @Param("example") UserInfoExample example);

    int updateByPrimaryKeySelective(UserInfo record);

    int updateByPrimaryKey(UserInfo record);

	List<UserInfo> queryAll(HashMap<Object, Object> map);

    /**
     * 查找审批用户信息
     * @param map
     * @return
     */
    List<Map<Object, Object>> queryAuditUser(Map<Object, Object> map);
    
    List<UserInfo> queryAllByOrgClass(Map<Object, Object> map);

    /**
     * 查询当前用户对应的员工信息
     * 
     * @param userId 员工ID
     * @return
     */
    List<Map<String, Object>> findKeeper(@Param("userId") Integer userId);

    /**
     * 删除当前用对应的员工信息
     * 
     * @param userId 员工ID
     */
	void deleteKeeperObj(@Param("userId") Integer userId);

	/**
	 * 删除当前用户对应的员工所保管的仓房信息
	 * 
	 * @param keepid 员工ID集合
	 */
	void deleteKeeperHouseObj(@Param("keepid") Integer keepid);

	List<Map<Object, Object>> sptgetUserInfo(Map<Object, Object> map);

	/**
	 * 查询密码字符串中是否包含密码黑名单里面的内容
	 * @param pwd
	 * @return
	 */
	List<String> selectPwdBlack(String pwd);
}