package com.chinaitop.depot.system.service;

import com.chinaitop.depot.system.model.ButtonInfo;
import com.chinaitop.depot.system.model.ButtonInfoExample;

import java.util.List;

public interface ButtonInfoService {
	
	/**
	 * 根据条件查询按钮列表
	 * @param example
	 * @return
	 */
	List<ButtonInfo> queryByExample(ButtonInfoExample example);
	
	/**
	 * 根据按钮编号获取按钮信息
	 * @param btnId
	 * @return
	 */
	ButtonInfo findById(Integer btnId);
	
	/**
	 * 新增按钮
	 * @param buttonInfos
	 */
	void add(List<ButtonInfo> buttonInfos);
	
	/**
	 * 更新按钮信息
	 * @param buttonInfo
	 */
	void update(ButtonInfo buttonInfo);
	
	/**
	 * 根据按钮编号删除按钮信息
	 * @param btnId
	 */
	void remove(Integer btnId);

}
