package com.chinaitop.depot.system.service;

import com.chinaitop.depot.system.model.FuncInfo;
import com.chinaitop.depot.system.model.FuncInfoExample;

import java.util.List;

public interface FuncInfoService {
	
	/**
	 * 根据条件查询功能列表
	 * @param example
	 * @return
	 */
	List<FuncInfo> queryByExample(FuncInfoExample example);
	
	/**
	 * 根据功能编号获取功能信息
	 * @param funcId
	 * @return
	 */
	FuncInfo findById(Integer funcId);
	
	/**
	 * 新增功能
	 * @param funcInfo
	 */
	void add(FuncInfo funcInfo);
	
	/**
	 * 更新功能信息
	 * @param funcInfo
	 */
	void update(FuncInfo funcInfo);
	
	/**
	 * 根据功能编号删除功能信息
	 * @param funcId
	 */
	void remove(Integer funcId);

}
