package com.chinaitop.depot.system.service;

import com.chinaitop.depot.system.model.ButtonInfo;
import com.chinaitop.depot.system.model.RoleButton;
import com.chinaitop.depot.system.model.RoleButtonExample;
import com.chinaitop.depot.system.model.UserInfo;

import java.util.List;

public interface RoleButtonService {
	
	/**
	 * 查询角色操作权限
	 * @param example
	 * @return
	 */
	List<RoleButton> queryByExample(RoleButtonExample example);
	
	/**
	 * 根据用户查询角色权限
	 * @param userInfo
	 * @return
	 */
	List<RoleButton> queryByUser(UserInfo userInfo);
	
	/**
	 * 保存角色按钮权限，先删除，后增加
	 * @param roleId
	 * @param btnIdList
	 */
	void save(Integer roleId, String[] btnIdList);
	
	/**
	 * 保存角色按钮权限，先删除，后增加
	 * @param roleId
	 * @param btnList
	 */
	void saveForList(Integer roleId, List<ButtonInfo> btnList);

	/**
	 * 根据条件删除信息
	 * @param roleId
	 */
	void remove(Integer roleId);

}
