package com.chinaitop.depot.system.service;

import com.chinaitop.depot.system.model.RoleInfo;
import com.chinaitop.depot.system.model.RoleInfoExample;

import java.util.List;
import java.util.Map;

public interface RoleInfoService {
	
	/**
	 * 根据条件查询角色列表
	 * @param example
	 * @return
	 */
	List<RoleInfo> queryByExample(RoleInfoExample example);
	
	/**
	 * 根据角色编号获取角色信息
	 * @param roleId
	 * @return
	 */
	RoleInfo findById(Integer roleId);
	
	/**
	 * 新增角色
	 * @param roleInfo
	 */
	void add(RoleInfo roleInfo);
	
	/**
	 * 更新角色信息
	 * @param roleInfo
	 */
	void update(RoleInfo roleInfo);
	
	/**
	 * 根据角色编号删除角色信息
	 * @param roleId
	 */
	void remove(Integer roleId);

	/**
	 * 根据机构查询角色列表
	 * @param Map
	 * @return
	 */
	List<RoleInfo> getRoleTreeByOrg(Map<String,Object> map);

	/**
	 * 验证角色名称是否可用
	 * @param roleName
	 * @param roleId
	 * @return
	 */
	boolean validRoleName(String roleName,String roleId);

}
