package com.chinaitop.depot.system.service;

import com.chinaitop.depot.system.model.TUrlConfig;

import java.util.List;
import java.util.Map;

public interface TUrlConfigService {
	
	/**
	 * 根据机构id查询配置列表
	 * @param example
	 * @return
	 */
	List<TUrlConfig> queryByExample(Map<String, Object> paramMap);
	
	/**
	 * 根据条件查询所有配置列表
	 * @param example
	 * @return
	 */
	List<TUrlConfig> queryAll(Map<String, Object> map);
	
	/**
	 * 根据主键id获取url配置信息
	 * @param id
	 * @return
	 */
	TUrlConfig findById(String id);
	
	/**
	 * 新增url配置信息
	 * @param tUrlConfig
	 */
	void add(TUrlConfig tUrlConfig);
	
	/**
	 * 更新url配置信息
	 * @param tUrlConfig
	 */
	void update(TUrlConfig tUrlConfig);
	
	/**
	 * 根据主键删除url配置信息
	 * @param id
	 */
	void remove(String id);
	
	/**
	 * 查询导出的数据信息
	 * @param list
	 */
	List<Map<String, Object>> queryExportInfo(Map<String, Object> paramMap);
	
	/**
	 * 验证url是否可用
	 * @param intranetUrl
	 * @param id
	 * @return
	 */
	boolean validIntranetUrl(String intranetUrl,String id);

	/**
	 * 查询一个粮库应急端的URL
	 * @param orgId 粮库ID
	 * @param userType 类型(1:库级,2:出入库)
	 * @return
	 */
	String getUrl(String orgId, String userType) throws Exception;
	
}
