package com.chinaitop.depot.system.service.impl;

import com.chinaitop.depot.system.mapper.DepotImageMapper;
import com.chinaitop.depot.system.model.DepotImage;
import com.chinaitop.depot.system.model.DepotImageExample;
import com.chinaitop.depot.system.service.DepotImageService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class DepotImageServiceImpl implements DepotImageService {

    @Resource
    private DepotImageMapper depotImageMapper;

    @Override
    public List<DepotImage> queryByExample(DepotImageExample example) {
        return depotImageMapper.selectByExample(example);
    }

    @Override
    public void save(Integer orgId, String[] imglist) {
        DepotImageExample example = new DepotImageExample();
        example.createCriteria().andOrgIdEqualTo(orgId);
        depotImageMapper.deleteByExample(example);
        for (String imgUrl : imglist) {
            DepotImage depotImage = new DepotImage();
            depotImage.setOrgId(orgId);
            depotImage.setImgUrl(imgUrl);
            depotImageMapper.insert(depotImage);
        }
    }
}
