package com.chinaitop.depot.system.service.impl;

import com.chinaitop.depot.system.mapper.RoleButtonMapper;
import com.chinaitop.depot.system.mapper.UserRoleMapper;
import com.chinaitop.depot.system.model.*;
import com.chinaitop.depot.system.service.RoleButtonService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class RoleButtonServiceImpl implements RoleButtonService {
	
	@Resource
	private RoleButtonMapper roleButtonMapper;
	
	@Resource
	private UserRoleMapper userRoleMapper;

	@Override
	public List<RoleButton> queryByExample(RoleButtonExample example) {
		// TODO Auto-generated method stub
		return roleButtonMapper.selectByExample(example);
	}

	@Override
	public void save(Integer roleId, String[] btnIdList) {
		// TODO Auto-generated method stub
		RoleButtonExample example = new RoleButtonExample();
		example.createCriteria().andRoleIdEqualTo(roleId);
		roleButtonMapper.deleteByExample(example);
		// 批量新增
		for (String btnId : btnIdList) {
			RoleButton roleButton = new RoleButton();
			roleButton.setRoleId(roleId);
			roleButton.setBtnId(Integer.parseInt(btnId));
			roleButtonMapper.insert(roleButton);
		}
	}
	
	@Override
	public void saveForList(Integer roleId, List<ButtonInfo> btnList) {
		// TODO Auto-generated method stub
		RoleButtonExample example = new RoleButtonExample();
		example.createCriteria().andRoleIdEqualTo(roleId);
		roleButtonMapper.deleteByExample(example);
		// 批量新增
		for (ButtonInfo btn : btnList) {
			RoleButton roleButton = new RoleButton();
			roleButton.setRoleId(roleId);
			roleButton.setBtnId(btn.getBtnId());
			roleButtonMapper.insert(roleButton);
		}
	}

	@Override
	public List<RoleButton> queryByUser(UserInfo userInfo) {
		UserRoleExample example = new UserRoleExample();
		example.createCriteria().andUserIdEqualTo(userInfo.getUserId());
		List<UserRole> urList = userRoleMapper.selectByExample(example);
		List<Integer> roleIds = new ArrayList<>();
		if(urList!=null && urList.size()>0){
			urList.forEach(ur -> roleIds.add(ur.getRoleId()));
		}
		RoleButtonExample rbExample = new RoleButtonExample();
		List<RoleButton> rbList = new ArrayList<RoleButton>();
		if(roleIds != null && roleIds.size() > 0) {
			rbExample.createCriteria().andRoleIdIn(roleIds);
			rbList = roleButtonMapper.selectByExample(rbExample);
		}
		return rbList;
	}

	@Override
	public void remove(Integer roleId) {
		RoleButtonExample example = new RoleButtonExample();
		example.createCriteria().andRoleIdEqualTo(roleId);
		roleButtonMapper.deleteByExample(example);
	}

}
