package com.chinaitop.depot.system.service.impl;

import com.chinaitop.depot.system.mapper.RoleInfoMapper;
import com.chinaitop.depot.system.model.RoleInfo;
import com.chinaitop.depot.system.model.RoleInfoExample;
import com.chinaitop.depot.system.model.RoleInfoExample.Criteria;
import com.chinaitop.depot.system.service.RoleInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class RoleInfoServiceImpl implements RoleInfoService {
	
	@Resource
	private RoleInfoMapper RoleInfoMapper;

	@Override
	public List<RoleInfo> queryByExample(RoleInfoExample example) {
		// TODO Auto-generated method stub
		return RoleInfoMapper.selectByExample(example);
	}

	@Override
	public RoleInfo findById(Integer roleId) {
		// TODO Auto-generated method stub
		return RoleInfoMapper.selectByPrimaryKey(roleId);
	}

	@Override
	public void add(RoleInfo roleInfo) {
		// TODO Auto-generated method stub
		RoleInfoMapper.insert(roleInfo);
	}

	@Override
	public void update(RoleInfo roleInfo) {
		// TODO Auto-generated method stub
		RoleInfoMapper.updateByPrimaryKey(roleInfo);
	}

	@Override
	public void remove(Integer roleId) {
		// TODO Auto-generated method stub
		RoleInfoMapper.deleteByPrimaryKey(roleId);
	}

	@Override
	public List<RoleInfo> getRoleTreeByOrg(Map<String,Object> map) {
		return RoleInfoMapper.getRoleTreeByOrg(map);
	}

	@Override
	public boolean validRoleName(String roleName,String roleId) {
		RoleInfoExample example = new RoleInfoExample();
		Criteria criteria = example.createCriteria();
		if(roleId != null && !roleId.isEmpty()) {
			criteria.andRoleIdNotEqualTo(Integer.parseInt(roleId));
		}
		criteria.andRoleNameEqualTo(roleName);
		List<RoleInfo> list = RoleInfoMapper.selectByExample(example);
		if (list.size() > 0) {
			return false;
		}
		return true;
	}

}
