package com.chinaitop.depot.system.service.impl;

import com.chinaitop.depot.system.mapper.TUrlConfigMapper;
import com.chinaitop.depot.system.model.TUrlConfig;
import com.chinaitop.depot.system.model.TUrlConfigExample;
import com.chinaitop.depot.system.model.TUrlConfigExample.Criteria;
import com.chinaitop.depot.system.service.TUrlConfigService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

import java.util.List;
import java.util.Map;

@Service
public class TUrlConfigServiceImpl implements TUrlConfigService {
	
	@Resource
	private TUrlConfigMapper tUrlConfigMapper;

	@Override
	public List<TUrlConfig> queryByExample(Map<String, Object> paramMap) {
		TUrlConfigExample example = new TUrlConfigExample();
		Criteria criteria = example.createCriteria();
		criteria.andOrgIdEqualTo(paramMap.get("orgId").toString());
		criteria.andUserTypeEqualTo(paramMap.get("userType").toString());
		return tUrlConfigMapper.selectByExample(example);
	}

	@Override
	public List<TUrlConfig> queryAll(Map<String, Object> map) {
		return tUrlConfigMapper.queryAll(map);
	}

	@Override
	public TUrlConfig findById(String id) {
		return tUrlConfigMapper.selectByPrimaryKey(id);
	}

	@Override
	public void add(TUrlConfig tUrlConfig) {
		tUrlConfigMapper.insert(tUrlConfig);
	}

	@Override
	public void update(TUrlConfig tUrlConfig) {
		tUrlConfigMapper.updateByPrimaryKey(tUrlConfig);
	}

	@Override
	public void remove(String id) {
		tUrlConfigMapper.deleteByPrimaryKey(id);
	}

	@Override
	public List<Map<String, Object>> queryExportInfo(Map<String, Object> paramMap) {
		return tUrlConfigMapper.queryExportInfo(paramMap);
	}

	@Override
	public boolean validIntranetUrl(String intranetUrl,String id) {
		TUrlConfigExample example = new TUrlConfigExample();
		Criteria criteria = example.createCriteria();
		criteria.andIntranetUrlEqualTo(intranetUrl);
		if(id != null && !id.isEmpty()) {
			criteria.andIdNotEqualTo(id);
		}
		List<TUrlConfig> list = tUrlConfigMapper.selectByExample(example);
		if (list.size() > 0) {
			return false;
		}
		return true;
	}

	@Override
	public String getUrl(String orgId, String userType) {
		String url = "";
		TUrlConfigExample example = new TUrlConfigExample();
		Criteria criteria = example.createCriteria();
		criteria.andOrgIdEqualTo(orgId);
		criteria.andUserTypeEqualTo(userType);
		List<TUrlConfig> list = tUrlConfigMapper.selectByExample(example);
		if (null != list && list.size() > 0) {
			url = list.get(0).getIntranetUrl();
		}
		return url;
	}

}
