package com.chinaitop.depot.system.service.impl;

import com.chinaitop.depot.system.mapper.UserOrgMapper;
import com.chinaitop.depot.system.model.UserOrg;
import com.chinaitop.depot.system.model.UserOrgExample;
import com.chinaitop.depot.system.service.UserOrgService;

import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.UUID;

@Service
public class UserOrgServiceImpl implements UserOrgService {
	
	@Resource
	private UserOrgMapper userOrgMapper;

	@Override
	public List<UserOrg> queryByUserId(Integer userId) {
		UserOrgExample example = new UserOrgExample();
		example.createCriteria().andUserIdEqualTo(userId);
		return userOrgMapper.selectByExample(example);
	}

	@Override
	public void save(Integer userId, String[] orgIdList, Integer orgId) {
		// 先删除此用户所有数据
		UserOrgExample example = new UserOrgExample();
		example.createCriteria().andUserIdEqualTo(userId);
		userOrgMapper.deleteByExample(example);
		// 新增
		for (String id : orgIdList) {
			String uoId = UUID.randomUUID().toString().replace("-", "");//动态生成32随机字符串
			UserOrg userOrg = new UserOrg();
			userOrg.setUoId(uoId);
			userOrg.setUserId(userId);
			userOrg.setOrgId(orgId);
			userOrg.setDepartId(Integer.parseInt(id));
			userOrgMapper.insert(userOrg);
		}
	}

	@Override
	public void deleteById(Integer userId) {
		UserOrgExample example = new UserOrgExample();
		example.createCriteria().andUserIdEqualTo(userId);
		userOrgMapper.deleteByExample(example);
	}

}
