package com.chinaitop.depot.system.service.impl;

import com.chinaitop.depot.system.mapper.UserRoleMapper;
import com.chinaitop.depot.system.model.UserRole;
import com.chinaitop.depot.system.model.UserRoleExample;
import com.chinaitop.depot.system.service.UserRoleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class UserRoleServiceImpl implements UserRoleService {
	
	@Resource
	private UserRoleMapper userRoleMapper;

	@Override
	public List<UserRole> queryByExample(UserRoleExample example) {
		return userRoleMapper.selectByExample(example);
	}

	@Override
	public void add(UserRole userRole) {
		userRoleMapper.insertSelective(userRole);
	}

	//根据userId删除中间表信息
	@Override
	public void deleteById(Integer userId) {
		userRoleMapper.deleteById(userId);
	}

	@Override
	public List<Map<String, String>> getUserRoleFeign(Integer userId) {
		return userRoleMapper.getUserRoleFeign(userId);
	}

	@Override
	public Integer getzzbjl(Integer orgId, String roleName) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("orgId", orgId);
		map.put("roleName", roleName);
		List<UserRole> list = userRoleMapper.getzzbjl(map);
		if (null != list && list.size() > 0) {
			return list.size();
		}
		return 0;
	}

}
