package com.chinaitop.depot.utils;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.commons.lang.ObjectUtils;

import com.chinaitop.depot.system.model.OrgInfo;
import com.google.gson.Gson;

public class DataSynchronization {
	private static String urls = "http://192.168.123.123:14100";
	private static SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ");
	
	/**
	 * 查询库点信息
	 */
	public static List queryDepotInfo() {
		Gson gson = new Gson();
		Map<String,Object> params = new HashMap<String,Object>();
		//json对象转换成json字符串
		String jsonStr = gson.toJson(params);
		String result = HttpClientUtil.doPostJson(urls+"/sinkpointList", jsonStr);
		System.out.print(result);
		params = gson.fromJson(result, Map.class);
		List list = (List)params.get("data");
		return list;
	}
	
	/**
	 * 库点信息同步---插入
	 */
	public static void orgInfoSynchronizationInsert(OrgInfo orgInfo) {
		Gson gson = new Gson();
		Map<String,Object> params = new HashMap<String,Object>();
		params.put("cfs",0);
		params.put("createDate",format.format(new Date()));
		params.put("creator","");
		params.put("creatorCode","");
		params.put("fhbznx",0);
		params.put("jccsbQch",0);
		params.put("jcrq",orgInfo.getCompleteDate()==null?"":format.format(orgInfo.getCompleteDate()));
		params.put("jlgljl",0);
		params.put("jlgllb","");
		params.put("kdcz",orgInfo.getFax());
		params.put("kddh",orgInfo.getContact());
		params.put("kddm",orgInfo.getOrgId());
		params.put("kddz",orgInfo.getAddress());
		params.put("kdjc",orgInfo.getBriefIntroduction());
		params.put("kdjd",orgInfo.getLongitude());
		params.put("kdmc",orgInfo.getOrgName());
		params.put("kdmj",orgInfo.getDepotArea());
		params.put("kdqyxz",orgInfo.getCompanyNature());
		params.put("kdwd",orgInfo.getLatitude());
		params.put("kdyb",orgInfo.getPost());
		params.put("kdyxcr",orgInfo.getEffectiveCapacity());
		params.put("lklb",orgInfo.getOrgClassId());
		params.put("qymc",orgInfo.getOrgName());
		params.put("refreshTime",orgInfo.getUpdateTime()==null?"":format.format(orgInfo.getUpdateTime()));
		params.put("refresher","");
		params.put("remark",orgInfo.getRemark());
		params.put("sffhwry","");
		params.put("sfznhsjgz","");
		params.put("sjcr",orgInfo.getDesignCapacity());
		params.put("status",orgInfo.getStatus());
		params.put("tyshxydm",orgInfo.getCompanyOrgCode());
		params.put("xzqhdm",orgInfo.getAreaCode());
		params.put("xzqhmc",orgInfo.getAreaName());
		params.put("ygsl",0);
		params.put("ywjhys","");
		params.put("ywxfss","");
		params.put("ywxfsy","");
		params.put("yxgr",0);
		params.put("yzkqs",0);
		//json对象转换成json字符串
		String jsonStr = gson.toJson(params);
		String result = HttpClientUtil.doPostJson(urls+"/sinkpoint", jsonStr);
		System.out.print(result);
	}
	
	/**
	 * 库点信息同步---更新
	 */
	public static void orgInfoSynchronizationUpdate(Map<String,Object> params,OrgInfo orgInfo) {
		Gson gson = new Gson();
		params.put("jcrq",orgInfo.getCompleteDate()==null?"":format.format(orgInfo.getCompleteDate()));
		params.put("kdcz",orgInfo.getFax());
		params.put("kddh",orgInfo.getContact());
		params.put("kddm",orgInfo.getOrgId());
		params.put("kddz",orgInfo.getAddress());
		params.put("kdjc",orgInfo.getBriefIntroduction());
		params.put("kdjd",orgInfo.getLongitude());
		params.put("kdmc",orgInfo.getOrgName());
		params.put("kdmj",orgInfo.getDepotArea());
		params.put("kdqyxz",orgInfo.getCompanyNature());
		params.put("kdwd",orgInfo.getLatitude());
		params.put("kdyb",orgInfo.getPost());
		params.put("kdyxcr",orgInfo.getEffectiveCapacity());
		params.put("lklb",orgInfo.getOrgClassId());
		params.put("qymc",orgInfo.getOrgName());
		params.put("refreshTime",orgInfo.getUpdateTime()==null?"":format.format(orgInfo.getUpdateTime()));
		params.put("remark",orgInfo.getRemark());
		params.put("sjcr",orgInfo.getDesignCapacity());
		params.put("status",orgInfo.getStatus());
		params.put("tyshxydm",orgInfo.getCompanyOrgCode());
		params.put("xzqhdm",orgInfo.getAreaCode());
		params.put("xzqhmc",orgInfo.getAreaName());
		//json对象转换成json字符串
		String jsonStr = gson.toJson(params);
		String result = HttpClientUtil.doPutJson(urls+"/sinkpoint", jsonStr);
		System.out.print(result);
	}
	
	/**
	 * 库点信息同步---删除
	 */
	public static void orgInfoSynchronizationDelete(OrgInfo orgInfo) {
		Map<String,String> params = new HashMap<String,String>();
		params.put("kddm",ObjectUtils.toString(orgInfo.getOrgId(),""));
		//json对象转换成json字符串
		String result = HttpClientUtil.doDelete(urls+"/sinkpoint", params);
		System.out.print(result);
	}
}
