package com.chinaitop.depot.utils;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class FileExport {
	
	/**
     * 读取文本文件.
     * @throws UnsupportedEncodingException
     */
    public static String readTxtFile(File filenameShip) throws UnsupportedEncodingException {
        String readData = null;
        BufferedReader br = null;
        String readStr = "    ";
        try {
            br = new BufferedReader(new FileReader(filenameShip));
            try {
                while ((readData = br.readLine()) != null) {
                    System.out.println("readData:" + readData);
                    readStr = readStr + readData + "\r\n";
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
        return readStr;
    }
	
	/**
     * 导出
     * @param contentList数据，但第一个必须时表头
     * @param filenameShip 文件夹的位置
     * @throws IOException
     */
    public static void writeTxtFileFor(List<Map<String, Object>> contentList,File filenameShip) throws IOException {
        FileWriter writer = new FileWriter(filenameShip, true);;
        BufferedWriter bufferedWriter = new BufferedWriter(writer);
        String str = "\r\n";
        if(System.getProperty("os.name").toLowerCase().indexOf("windows")<0) {//不是windows
        	str = "\r";
        };
        for (int i = 0; i < contentList.size(); i++) {
            HashMap<String, Object> map=(HashMap<String, Object>) contentList.get(i);
            String filein1="depot_name="+map.get("depot_name")+str;
            filein1+="depot_id="+map.get("depot_id")+str;
            filein1+="depot_server_ip="+map.get("depot_server_ip")+str;
            filein1+="depot_start_day="+map.get("depot_start_day")+str;
            filein1+="depot_end_day="+map.get("depot_end_day")+str;
            filein1+="back_time="+map.get("back_time")+str;
            filein1+=str;
            try {
                bufferedWriter.write(filein1);
            } catch (Exception e) {
                e.printStackTrace();
            } 
        }
        bufferedWriter.flush();
        bufferedWriter.close();
    }
    
	
	/**
     * 创建文件路径
     * @param destFileName  字符串格式的 文件路径
     * @return
     */
      public static boolean createFile(String destFileName) {  
            File file = new File(destFileName);  
            if(file.exists()) {//存在清空文件
            	FileWriter fileWriter;
				try {
					fileWriter = new FileWriter(file);
					fileWriter.write("");
					fileWriter.flush();
					fileWriter.close(); 
				} catch (IOException e) {
					e.printStackTrace();
				}
                return false;  
            }  
            if (destFileName.endsWith(File.separator)) {  
                System.out.println("创建单个文件" + destFileName + "失败，目标文件不能为目录！");  
                return false;  
            }  
            //判断目标文件所在的目录是否存在  
            if(!file.getParentFile().exists()) {  
                //如果目标文件所在的目录不存在，则创建父目录  
                System.out.println("目标文件所在目录不存在，准备创建它！");  
                if(!file.getParentFile().mkdirs()) {  
                    System.out.println("创建目标文件所在目录失败！");  
                    return false;  
                }  
            }  
            //创建目标文件  
            try {  
                if (file.createNewFile()) {  
                    System.out.println("创建单个文件" + destFileName + "成功！");  
                    return true;  
                } else {  
                    System.out.println("创建单个文件" + destFileName + "失败！");  
                    return false;  
                }  
            } catch (IOException e) {  
                e.printStackTrace();  
                System.out.println("创建单个文件" + destFileName + "失败！" + e.getMessage());  
                return false;  
            }  
        }

}
